[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| HierarchicalClustering< CLUSTER_OPERATOR > Class Template Reference |

do hierarchical clustering with a given cluster operator More...

`#include <vigra/hierarchical_clustering.hxx>`

## Public Member Functions

void | cluster ()
| start the clustering
const Graph & | graph () const
| get the graph the merge graph is based on
| HierarchicalClustering (ClusterOperator &clusterOperator, const Parameter &parameter=Parameter())
| construct HierarchicalClustering from clusterOperator and an optional parameter object
template<class OUT_ITER >
size_t | leafNodeIds (const MergeGraphIndexType treeNodeId, OUT_ITER begin) const
| get the node id's which are the leafes of a treeNodeId
const MergeGraph & | mergeGraph () const
| get the merge graph
const MergeTreeEncoding & | mergeTreeEndcoding () const
| get the encoding of the merge tree
const MergeGraphIndexType | reprNodeId (const MergeGraphIndexType id) const
| get the representative node id

## Detailed Description

### template<class CLUSTER_OPERATOR>
class vigra::HierarchicalClustering< CLUSTER_OPERATOR >

do hierarchical clustering with a given cluster operator

The documentation for this class was generated from the following file:

- vigra/hierarchical_clustering.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0